//
//  MainViewController.swift
//  iOS_Bootstrap_Example
//
//  Created by Ahmad Mahmoud on 11/2/18.
//  Copyright © 2018 CocoaPods. All rights reserved.
//

import iOS_Bootstrap

class MainViewController:
    BaseCollectionViewControllerV2 <MainPresenter, MainViewDelegator, String, MainViewCell>,
    MainViewDelegator, BaseCollectionViewDelegates {
    
    @IBOutlet private weak var collectionView: UICollectionView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        getPresenter().setDataSource()
    }
    
    override func initUI() { self.title = "Home" }
    
    override func initCollectionViewAdapterConfiguraton() {
        super.initCollectionViewAdapterConfiguraton(collectionView: collectionView, delegate: self)
    }
    
    func configureCollectionViewCell(collectionView: UICollectionView, cellForRowAt indexPath: IndexPath) -> UICollectionViewCell {
        let cell : MainViewCell = self.initCell(indexPath: indexPath)
        return cell
    }
    
    func sizeForItemAtIndexPath(collectionViewLayout: UICollectionViewLayout) -> CGSize {
        return getCollectionViewAdapter().configureNumberOfCollectionViewItemsPerRow(numberOfItemsPerRow: 2, padding: 25)
    }
    
    func itemDidSelected(collectionView: UICollectionView, indexPath: IndexPath) {
        switch indexPath.row {
        case 0:
            if #available(iOS 10.0, *) { Navigator.goToSideMenuStoryboard() }
            break
        case 1:
            Navigator.goToCustomViewsViewController()
            break
        case 2:
            getPresenter().switchAppLanguage()
            break
        case 3:
            Navigator.goToValidatorsExampleViewController()
            break
        default:
            break
        }
    }
    
    func didGetCollectioViewItems(items: [String]) {
        getCollectionViewAdapter().setDataSource(dataSource: items)
        getCollectionViewAdapter().reloadCollectionView()
    }
    
}
